## licensecheck-2.15.8-1-src.tar.xz

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

EXAMPLES = conf.default README.mk-build-deps

all: version make_scripts $(EXAMPLES) translated_manpages

version:
	rm -f version
	dpkg-parsechangelog -SVersion > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_translated_manpages
	rm -f version conf.default make_scripts

online-test:
	$(MAKE) -C test/ online-test

test: test_test test_scripts

test-installed:
	$(MAKE) -C test/ $@

install: all install_scripts
	install -d "$(DESTDIR)$(EXAMPLES_DIR)" "$(DESTDIR)$(PERLMOD_DIR)" \
	    "$(DESTDIR)$(DATA_DIR)" "$(DESTDIR)$(DOCDIR)" "$(DESTDIR)$(MAN1DIR)"
	for f in lib/*; do cp -a "$$f" "$(DESTDIR)$(PERLMOD_DIR)"; done
	install -m0644 $(EXAMPLES) "$(DESTDIR)$(DATA_DIR)"
	install -m0644 README "$(DESTDIR)$(DOCDIR)"
	install -m0644 doc/*.1 "$(DESTDIR)$(MAN1DIR)"
	ln -sf edit-patch.1 "$(DESTDIR)$(MAN1DIR)/add-patch.1"

test_test:
	$(MAKE) -C test/ test

make_scripts: version
	$(MAKE) -C scripts/
	touch $@
clean_scripts: clean_translated_manpages
	$(MAKE) -C scripts/ clean
test_scripts:
	$(MAKE) -C scripts/ test
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

.PHONY: online-test test test-installed

=== test/Makefile ===
test:
	./test_annotate-output
	./test_checkbashisms
	./test_dd-list
	./test_debchange
	./test_debdiff
	./test_licensecheck
	./test_uscan
	./test_mk-origtargz

test-installed:
	./test_annotate-output --installed
	./test_checkbashisms --installed
	./test_dd-list --installed
	./test_debchange --installed
	./test_debdiff --installed
	./test_licensecheck --installed
	./test_uscan --installed
	./test_mk-origtargz --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test

=== debian/changelog ===
devscripts (2.15.8) unstable; urgency=high

  * licensecheck:
    + Avoid argument injection which may cause file to overwrite a file
      through symlink indirection.  (Closes: #794365, CVE-2015-5705)

 -- James McCoy <jamessan@debian.org>  Sun, 02 Aug 2015 09:06:05 -0400

devscripts (2.15.7) unstable; urgency=medium

  * licensecheck:
    + Use Dpkg::IPC to run file to avoid shell injection.
      (Closes: #794260, CVE-2015-5704)
    + Change whitelist of mime types to greylist of encodings.  Restores
      ability to check files with mime types like text/x-c++ and
      application/postscript.  Thanks to Jonas Smedegaard for the patch.
      (Closes: #794282)
    + Fix an endless loop in parsing certain files.  Thanks to Jonas
      Smedegaard for the patch.  (Closes: #794263)

 -- James McCoy <jamessan@debian.org>  Fri, 31 Jul 2015 22:50:33 -0400

devscripts (2.15.6) unstable; urgency=medium

  [ Paul Wise ]
  * Adjust wording of common suffixes passed to repacksuffix

  [ James McCoy ]
  * debcheckout:
    + Handle Launchpad Git URLs.  Thanks to Colin Watson for the patch.
      (Closes: #788777)
    + Handle authenticated checkout when Vcs-Darcs is missing the root /darcs
      directory.
  * checkbashisms:
    + Fix unescaped, literal curly brace in regex, causing FTBFS with Perl
      5.22.  Thanks to Roderich Schupp for the patch.  (Closes: #788707)
    + Improve detection of %q/%b to include when it is at the start of the
      string.  Thanks to Eero Vuojolahti.  (Closes: #793396)
  * wnpp-check:
    + Use getopt to handle argument parsing.
    + Add --exact switch to match the exact package name instead of a
      substring.  Thanks to Balasankar C.  (Closes: #791918)
  * Replace manual parsing of dpkg-buildpackage's output with the use of its
    -S switch or the Dpkg::Changelog::Parse Perl module.
    + Bump minimum required version of dpkg-dev to 1.17.0
  * dget: Support arch-qualified package names.  “dget foo:i386” will download
    the foo binary package for Arch: i386.  “dget --all srcfoo:i386” will
    download all binary packages from the srcfoo source package that are
    either Arch: all or Arch: any/i386.  (Closes: #792917)
  * uscan: Only check for presence of signing key when downloading a new
    upstream archive.  (Closes: #790047)

  [ Dominique Dumont ]
  * licensecheck:
    * extract © owner when © and owners are specified on 2 or more lines.
    * fix digia © and license extraction (Closes: #789074)
    * fix BSD-2-clause detection
    * parse assembly files with suffix .S
    * warn if scanned file is not a text file (Closes: #791756)

  [ Mattia Rizzolo ]
  * uscan: Suggest the correct syntax in the manpage for the dversionmangle
    option, escaping a '+'. Thanks to Martin Erik Werner for reporting.
    (Closes: #789389)

 -- James McCoy <jamessan@debian.org>  Mon, 27 Jul 2015 23:12:23 -0400

devscripts (2.15.5) unstable; urgency=low

  [ Cyril Brulebois ]
  * Update chdist bash-completion file with the architectures currently (as
    of 2015-04-28) listed on buildd.debian.org and buildd.debian-ports.org.
    (Closes: #783634)
  * Add support for RMADISON_SSL_CA_FILE and RMADISON_SSL_CA_PATH, so that
    one can point to system-specific locations for CA-related files, and pass
    them to curl/wget via the appropriate options.  (Closes: #784812)

  [ James McCoy ]
  * wrap-and-sort:
    + Always remove empty elements from lists so “-t” doesn't add a new, empty
      element.  (Closes: #783630)
    + Remove empty lines in debhelper-related files.  (Closes: #780667)
  * Install Perl modules into $Config{vendorlib} and remove the hacks in
    various scripts to make them see devscript's modules.
  * Add bash completion scripts for uscan (thanks to Ben Finney) and
    mk-origtargz.  (Closes: #784394)
  * Stop building and shipping libvfork.so since strace has handled vforks for
    at least a decade.
  * Move bash-completion scripts from /etc/bash_completion.d (compat
    directory) to /usr/share/bash-completion/completions.
  * debdiff: Inspect wdiff's return code rather than Dpkg::IPC::spawn's
    exception to determine if wdiff found differences.  (Closes: #786518)
  * Store cached files in $XDG_CACHE_HOME instead of ~/.devscripts_cache.
    (Closes: #659330)
  * bts:
    + Use https to talk to bugs.debian.org
    + Use URI & URI::QueryParam to parse URIs rather than regexps.  This fixes
      issues with not detecting BTS URLs as valid due to ordering of query
      parameters.  (Closes: #786706)
  * debuild: Recognize -jauto as a valid option. Based on a patch by Reiner
    Herrmann.  (Closes: #787276)
  * uscan:
    + Fix Github example in man page.  (Closes: #757194)
    + Clear cached redirection URLs every time a watch line is processed.
      This ensures any relative URLs are built into absolute URLs using
      relevant sites.  (Closes: #736063)
  * Devscripts::Debbugs: Retrieve bug status in chunks to avoid building large
    responses on bugs.d.o.
  * mk-build-deps:
    + Verify build-dep package was installed since the install tool may exit
      successfully even if the package couldn't be installed.  Based on a
      patch by Dima Kogan.  (Closes: #755371)
  * mergechanges:
    + Add -d option to delete input files on success.  Thanks to Mark Hymers
      for the patch.  (Closes: #640068)
  * dd-list:
    + Strip arch-qualifiers from given package names.  (Closes: #788367)

  [ Dominique Dumont ]
  * licensecheck:
    * check file encoding and decode properly when reading file
     (Closes: #784821)
    * improve GPL LGPL extraction
    * optimize regex used to extract © info
    * check Groovy, Scala and Clojure files (Closes: #771119)
    * fixed regexp used to detect discussion about © (Closes: #723723)
    * fix BSL parser (Closes: #690375)
    * support academic free license (Closes: #534987)
    * allow © owner to mention "and others"
    * support eclipse public license (Closes: #587892)


=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
Uploaders: James McCoy <jamessan@debian.org>,
           Martin Zobel-Helas <zobel@debian.org>,
           Patrick Schoenfeld <schoenfeld@debian.org>,
           Ryan Niebur <ryanryan52@gmail.com>,
           Benjamin Drung <bdrung@debian.org>
Standards-Version: 3.9.6
Build-Depends: bash-completion,
               debhelper (>= 9),
               docbook-xsl,
               dpkg-dev (>= 1.17.0),
               file,
               libdistro-info-perl,
               libfile-desktopentry-perl,
               libtimedate-perl,
               liburi-perl,
               libwww-perl,
               lsb-release,
               perl,
               pkg-config,
               po4a (>= 0.40),
               pylint,
               python3-all,
               python3-debian (>= 0.1.15),
               python3-magic,
               python3-setuptools,
               shunit2 (>= 2.1.6),
               unzip,
               wdiff,
               xsltproc,
               xz-utils,
               zip
XS-Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/devscripts.git
Vcs-Git: git://anonscm.debian.org/collab-maint/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.17.0),
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: at,
            dctrl-tools,
            dput | dupload,
            fakeroot,
            file,
            gnupg,
            libdistro-info-perl,
            libencode-locale-perl,
            libjson-perl,
            liburi-perl,
            libwww-perl,
            lintian,
            man-db,
            patch,
            patchutils,
            python3-debian (>= 0.1.15),
            python3-magic,
            sensible-utils,
            strace,
            unzip,
            wdiff,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: bsd-mailx | mailx,
          build-essential,
          cvs-buildpackage,
          debbindiff,
          devscripts-el,
          gnuplot,
          gpgv,
          libauthen-sasl-perl,
          libfile-desktopentry-perl,
          libnet-smtp-ssl-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mutt,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: ubuntu-dev-tools (<< 0.147~)
Replaces: ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, liburi-perl,
    libwww-perl, bsd-mailx | mailx]
  - build-rdeps: search for all packages that build-depend on a given package
    [dctrl-tools]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
    which allow them to be called from the CVS working directory
    [cvs-buildpackage]
  - cvs-debrelease: wrapper around debrelease which allows it to be called
    from the CVS working directory [cvs-buildpackage, dupload | dput,
    ssh-client]
  - cvs-debuild: wrapper for cvs-buildpackage to use debuild as its package
    building program [cvs-buildpackage, fakeroot, lintian, gnupg]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein
  - dcontrol: remotely query package and source control files for all Debian
    distributions [liburl-perl, libwww-perl]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libdistro-info-perl, libsoap-lite-perl]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: clean a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
    basing commit message on changelog [cvs | darcs | subversion | svk | tla |
    bzr | git-core | mercurial, libtimedate-perl]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files. Use the debbindiff package for deep comparisons.
    [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh-client]
  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl,
    libjson-perl]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot, lintian, gnupg]
  - deb-reversion: increase a binary package version number and repacks the
    package, useful for porters and the like
  - dep3changelog: generate a changelog entry from a DEP3-style patch header
  - desktop2menu: given a freedesktop.org desktop file, generate a skeleton
    for a menu file [libfile-desktopentry-perl]
  - dget: download Debian source and binary packages [wget | curl]
  - diff2patches: extract patches from a .diff.gz file placing them under
    debian/ or, if present, debian/patches [patchutils]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - dscextract: extract a single file from a Debian source package [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - edit-patch: add/edit a patch for a source package and commit the changes
    [quilt | dpatch | cdbs]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - grep-excuses: grep the update_excuses.html file for your packages
    [libterm-size-perl, wget, w3m]
  - licensecheck: attempt to determine the license of source files
  - list-unreleased: search for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx]
  - mergechanges: merge .changes files from the same release but built
    on different architectures
  - mk-build-deps: given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given package [equivs]
  - mk-origtargz: rename upstream tarball, optionally changing the compression
    and removing unwanted files [unzip, xz-utils, file]
  - namecheck: check project names are not already taken
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - origtargz: fetch the orig tarball of a Debian package from various sources,
    and unpack it
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx, at]
  - rc-alert: list installed packages which have release-critical bugs
    [wget | curl]
  - rmadison: remotely query the Debian archive database about packages
    [liburi-perl, wget | curl]
  - sadt: run DEP-8 tests [python3-debian]
  - suspicious-source: output a list of files which are not common source
    files [python3-magic]
  - svnpath: print Subversion repository paths [subversion]
  - tagpending: run from a Debian source tree and tag bugs that are to be
    closed in the latest changelog as pending [libsoap-lite-perl]
  - transition-check: check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages [gpgv, gnupg,
    liblwp-protocol-https-perl, libwww-perl, unzip, xz-utils, file]
  - uupdate: integrate upstream changes into a source package [patch]
  - what-patch: determine what patch system, if any, a source package is using
    [patchutils]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for adoption
    [wget | curl]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget | curl]
  - who-permits-upload: Retrieve information about Debian Maintainer access
    control lists [gnupg, libencode-locale-perl, libwww-perl, debian-keyring]
  - wrap-and-sort: wrap long lines and sort items in packaging files
    [python3-debian]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.
